package com.zi.mwms.solution.config;

import com.cim.idm.wmsextend.generic.master.ConstantMap;
import com.cim.idm.wmsextend.generic.master.ErrorDefMap;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import com.cim.idm.wmsextend.generic.GenericServiceProxy;


@Configuration
public class InitDataConfig {

	@Bean(name = "CustomConstantMap" )
	public ConstantMap customConstantMap() {
		return new ConstantMap();
	}
	
	@Bean(name="CustomGenericServiceProxy")
	public GenericServiceProxy genericServiceProxy() {
		return new GenericServiceProxy();
	}
	
	@Bean(name="CustomErrorDefMap")
	public ErrorDefMap ErrorDefMap() {
		return new ErrorDefMap();
	}
}
